GroupManagerRootItemType (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.explorer.types.GroupManagerRootItemType class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.explorer.types
Class GroupManagerRootItemType

    java.lang.Object
      org.hyperic.hq.bizapp.explorer.types.GroupManagerRootItemType

All Implemented Interfaces:
  ExplorerItemType

    public class GroupManagerRootItemType

extends java.lang.Object
implements ExplorerItemType

This type contains all groups as children. Children are of type `GroupItem`

Field Summary
`static java.lang.String` | `CODE`
`static java.lang.String` | `NAME`

Constructor Summary
`GroupManagerRootItemType()`

Method Summary
`java.util.List` | `getAdoptedChildren(ExplorerContext ctx, ExplorerItem parent)` Get children which this type thinks belong to the parent.
`ExplorerItem` | `getChild(ExplorerContext ctx, ExplorerItem parent, java.lang.String code)` Get a single child, by code.
`java.lang.String` | `getName()` Get a short string identifying the item type.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NAME

    public static final java.lang.String NAME

See Also:
  Constant Field Values

### CODE

    public static final java.lang.String CODE

See Also:
  Constant Field Values

Constructor Detail

### GroupManagerRootItemType

    public GroupManagerRootItemType()

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `ExplorerItemType`
  Get a short string identifying the item type. Can be used when unregistering item types in the `ExplorerManager`

  Specified by:
    `getName` in interface `ExplorerItemType`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getAdoptedChildren

    public java.util.List getAdoptedChildren(ExplorerContext ctx,
                                             ExplorerItem parent)

  Description copied from interface: `ExplorerItemType`
  Get children which this type thinks belong to the parent. This is useful for plugins who wish to be displayed as children of an item, without the item knowing about the child's existence prior.

  Specified by:
    `getAdoptedChildren` in interface `ExplorerItemType`
  See Also:
    `ExplorerManager.findAllChildren(ExplorerContext, ExplorerItem)`

### getChild

    public ExplorerItem getChild(ExplorerContext ctx,
                                 ExplorerItem parent,
                                 java.lang.String code)

  Description copied from interface: `ExplorerItemType`
  Get a single child, by code. Allows for an optimized searching when looking for a single node (don't have to look everything up via getChildren())

  Specified by:
    `getChild` in interface `ExplorerItemType`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.